Subject: Re: [bitcoin-dev] Visually Differentiable - Bitcoin Addresses

From: Moral Agent <[email-masked]>
Date: Mon, 30 Oct 2017 10:39:07 -0400

If you are going to rely on human verification of addresses, the best way
might be map it to words.

For example, with a 6000 word list, a 25 byte address (with a checksum)
could be mapped to 16 words like this:

vocally           acquire        removed     unfounded
euphemism    sanctuary    sectional     driving
entree            freckles    aloof           vertebrae
scribble          surround      prelaw         effort

In my opinion, that is much faster to verify than this:

13gQFTYHuAcfnZjXo2NFsy1E8JGSLwXHCZ

or

bc1qrp33g0q5c5txsp9arysrx4k6zdkfs4nce4xj0gdcccefvpysxf3qccfmv3

Although I really do love Bech32.

On Mon, Oct 30, 2017 at 9:13 AM, shiva sitamraju via bitcoin-dev <
[email-masked]> wrote:

> For example bc1qeklep85ntjz4605drds6aww9u0qr46qzrv5xswd35uhjuj8ahfcqgf6hak
> in 461e8a4aa0a0e75c06602c505bd7aa06e7116ba5cd98fd6e046e8cbeb00379d6 is 62
> bytes ! This is very very long. This will create lot of usability problems
> in
>
> - Blockexplorers (atleast user should be visually able to compare in a
> transaction having multiple outputs which one his address)
> - Mobiles
> - Payment terminals
>
> From my limited understanding, the purpose of inventing a bitcoin address
> format is for usability and ease of identification (versus a ECDSA public
> key), While I get the error/checksum capabilities Bech32 brings, any user
> would prefer a 20 byte address with a checksum  over an address that would
> wrap several lines !!
>
>
> On Mon, Oct 30, 2017 at 6:19 PM, Ben Thompson <
> [email-masked]> wrote:
>
>> Checking the first few bytes of a Bitcoin Address should not be
>> considered sufficient for ensuring that it is correct as it takes less than
>> a second to generate a 3 character vanity address that matches the first 3
>> characters of an address.
>>
>> On Mon, 30 Oct 2017, 11:44 shiva sitamraju via bitcoin-dev, <
>> [email-masked]> wrote:
>>
>>> Hi,
>>>
>>> When I copy and paste bitcoin address, I double check the first few
>>> bytes, to make sure I copied the correct one. This is to make sure some
>>> rogue software is not changing the address, or I incorrectly pasted the
>>> wrong address.
>>>
>>>
>>> With Bech32 address, its seems like in this department we are taking as
>>> step in the backward direction. With the traditional address, I could
>>> compare first few bytes like 1Ko or 1L3. With bech32, bc1. is all I can see
>>> and compare which is likely to be same anyway. Note that most users will
>>> only compare the first few bytes only (since addresses themselves are very
>>> long and will overflow in a mobile text box).
>>>
>>> Is there anyway to make the Bech32 addresses format more visually
>>> distinct (atleast the first few bytes) ?
>>> _______________________________________________
>>> bitcoin-dev mailing list
>>> [email-masked]
>>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>>
>>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>